umbrello: StereotypesModel Class Reference

umbrello 2.31.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Attributes | List of all members
StereotypesModel Class Reference

`#include <stereotypesmodel.h>`

Inheritance diagram for StereotypesModel:

## Public Member Functions
| StereotypesModel (UMLStereotypeList *stereotypes)
int | rowCount (const QModelIndex &parent) const
int | columnCount (const QModelIndex &parent) const
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const
bool | addStereotype (UMLStereotype *stereotype)
bool | removeStereotype (UMLStereotype *stereotype)
void | emitDataChanged (const QModelIndex &index)
void | emitDataChanged (int index)

## Protected Attributes
int | m_count
UMLStereotypeList * | m_stereotypes

## Constructor & Destructor Documentation

## ◆ StereotypesModel()

StereotypesModel::StereotypesModel | ( | UMLStereotypeList * | stereotypes | ) |
| explicit

## Member Function Documentation

## ◆ addStereotype()

bool StereotypesModel::addStereotype | ( | UMLStereotype * | stereotype | ) |

## ◆ columnCount()

int StereotypesModel::columnCount | ( | const QModelIndex & | parent | ) | const

## ◆ data()

QVariant StereotypesModel::data | ( | const QModelIndex & | index,
|  | int | role = `Qt::DisplayRole`
| ) |  | const

## ◆ emitDataChanged() [1/2]

void StereotypesModel::emitDataChanged | ( | const QModelIndex & | index | ) |

## ◆ emitDataChanged() [2/2]

void StereotypesModel::emitDataChanged | ( | int | index | ) |

## ◆ headerData()

QVariant StereotypesModel::headerData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | int | role = `Qt::DisplayRole`
| ) |  | const

## ◆ removeStereotype()

bool StereotypesModel::removeStereotype | ( | UMLStereotype * | stereotype | ) |

## ◆ rowCount()

int StereotypesModel::rowCount | ( | const QModelIndex & | parent | ) | const

## Member Data Documentation

## ◆ m_count

int StereotypesModel::m_count
| protected

## ◆ m_stereotypes

UMLStereotypeList* StereotypesModel::m_stereotypes
| protected

The documentation for this class was generated from the following files:

- umbrello/models/stereotypesmodel.h
- umbrello/models/stereotypesmodel.cpp